Cyberduck Mountain Duck CLI

#9592 closed enhancement (duplicate)

Initial memory usage

Reported by: arnoldpark Owned by:
Priority: normal Milestone: 5.4
Component: core Version: 5.0.1
Severity: major Keywords: memory usage
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description

Cyberduck 5.0.1(also 5.0.2, 4.9.x, and 5.1(beta)) is using 800MB~1.4GB of memory even on launch. I don't think ftp program needs more memory than photoshop. I tried to uninstall completely and install again, but the result was the same. There was a similar ticket(#8912) and the resolution comment stated "it requires 200MB after launch".

Attachments (1)

cyberduck_memory.png (17.4 KB) - added by arnoldpark on Jun 12, 2016 at 4:16:34 PM.
Memory usage

Download all attachments as: .zip

Change History (9)

Changed on Jun 12, 2016 at 4:16:34 PM by arnoldpark

Memory usage

comment:1 Changed on Jul 1, 2016 at 7:42:54 AM by dkocher

  • Summary changed from Too much memory usage to Initial memory usage
  • Type changed from defect to enhancement

comment:2 Changed on Jul 6, 2016 at 6:18:23 PM by millerwbryan

I've noticed similar high memory usages with v5.0.3. The initial memory usage is ~330MB but grows with time to >1.5GB, even when no connection is open. I'm using OSC 10.11.5.

comment:3 Changed on Aug 24, 2016 at 8:26:53 AM by siclemat

I also reported more than once on this. Same problem which makes Cyberduck troublesome for me. MACOS 10.11.6 and Cyberduck 5.1.0. I have 57 bookmarks, but even without any opened Cyberduck uses 1.4GB of memory.

comment:4 Changed on Mar 8, 2017 at 3:29:17 PM by dkocher

  • Milestone set to 5.4

In r38409.

comment:6 Changed on Mar 8, 2017 at 3:29:33 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

comment:7 Changed on Mar 12, 2017 at 9:27:44 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:8 Changed on Mar 12, 2017 at 9:28:15 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed

Duplicate for #9878.

Note: See TracTickets for help on using tickets.
swiss made software